OGRE: Ogre::HardwareBufferManager Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::HardwareBufferManager Class Reference
Core » RenderSystem

Singleton wrapper for hardware buffer manager. More...

`#include <OgreHardwareBufferManager.h>`

Inheritance diagram for Ogre::HardwareBufferManager:
[legend]

## Public Member Functions
| HardwareBufferManager ()
| ~HardwareBufferManager ()
Public Member Functions inherited from Ogre::HardwareBufferManagerBase
| HardwareBufferManagerBase ()
virtual | ~HardwareBufferManagerBase ()
void | _forceReleaseBufferCopies (const HardwareVertexBufferSharedPtr &sourceBuffer)
| Internal method that forces the release of copies of a given buffer.
void | _freeUnusedBufferCopies (void)
| Free all unused vertex buffer copies.
void | _notifyVertexBufferDestroyed (HardwareVertexBuffer *buf)
| Notification that a hardware vertex buffer has been destroyed.
void | _releaseBufferCopies (bool forceFreeUnused=false)
| Internal method for releasing all temporary buffers; is called by OGRE.
HardwareVertexBufferSharedPtr | allocateVertexBufferCopy (const HardwareVertexBufferSharedPtr &sourceBuffer, HardwareBufferLicensee *licensee, bool copyData=false)
| Allocates a copy of a given vertex buffer.
virtual HardwareIndexBufferSharedPtr | createIndexBuffer (HardwareIndexBuffer::IndexType itype, size_t numIndexes, HardwareBuffer::Usage usage, bool useShadowBuffer=false)=0
| Create a hardware index buffer.
virtual RenderToVertexBufferSharedPtr | createRenderToVertexBuffer ()
| Create a render to vertex buffer.
virtual HardwareBufferPtr | createUniformBuffer (size_t sizeBytes, HardwareBufferUsage usage=HBU_CPU_TO_GPU, bool useShadowBuffer=false)
| Create uniform buffer.
virtual HardwareVertexBufferSharedPtr | createVertexBuffer (size_t vertexSize, size_t numVerts, HardwareBuffer::Usage usage, bool useShadowBuffer=false)=0
| Create a hardware vertex buffer.
VertexBufferBinding * | createVertexBufferBinding (void)
| Creates a new VertexBufferBinding.
VertexDeclaration * | createVertexDeclaration (void)
| Creates a new vertex declaration.
void | destroyVertexBufferBinding (VertexBufferBinding *binding)
| Destroys a VertexBufferBinding.
void | destroyVertexDeclaration (VertexDeclaration *decl)
| Destroys a vertex declaration.
void | releaseVertexBufferCopy (const HardwareVertexBufferSharedPtr &bufferCopy)
| Manually release a vertex buffer copy for others to subsequently use.
void | touchVertexBufferCopy (const HardwareVertexBufferSharedPtr &bufferCopy)
| Tell engine that the vertex buffer copy intent to reuse.
Public Member Functions inherited from Ogre::Singleton< HardwareBufferManager >
| ~Singleton (void)

## Static Public Member Functions
static HardwareBufferManager & | getSingleton (void)
| Get the singleton instance.
static HardwareBufferManager * | getSingletonPtr (void)
| Get the singleton instance.
Static Public Member Functions inherited from Ogre::Singleton< HardwareBufferManager >
static HardwareBufferManager & | getSingleton (void)
| Get the singleton instance.
static HardwareBufferManager * | getSingletonPtr (void)
| Get the singleton instance.

## Detailed Description

Singleton wrapper for hardware buffer manager.

## Constructor & Destructor Documentation

## ◆ HardwareBufferManager()

Ogre::HardwareBufferManager::HardwareBufferManager | ( |  | ) |

Referenced by getSingleton(), and getSingletonPtr().

## ◆ ~HardwareBufferManager()

Ogre::HardwareBufferManager::~HardwareBufferManager | ( |  | ) |

## Member Function Documentation

## ◆ getSingleton()

HardwareBufferManager & Ogre::HardwareBufferManager::getSingleton | ( | void |  | ) |
| static

Get the singleton instance.

References HardwareBufferManager().

## ◆ getSingletonPtr()

HardwareBufferManager * Ogre::HardwareBufferManager::getSingletonPtr | ( | void |  | ) |
| static

Get the singleton instance.

References HardwareBufferManager().

The documentation for this class was generated from the following file:

- OgreHardwareBufferManager.h